package org.diagbot.nlp.participle.cfg;

import org.diagbot.nlp.participle.word.Segment;

import java.util.List;
import java.util.Map;

public interface Configuration {
	public Segment loadMainDict(String path);
	public Segment loadMainDict(List<String> dicts);
	public Map<String, String> loadMapDict(String path);
	public List<String> readFileContents(String path);
	void writeFileContents(List<String> contents, String path);
}
